Building:
=========
mkdir build
cd build
cmake [CMAKE PARAMETERS] ..
make [-jX]

Common cmake parameters:
========================
-DCMAKE_INSTALL_PREFIX=/usr/local
-DCMAKE_VERBOSE_MAKEFILE=ON
-DCMAKE_BUILD_TYPE=<RelWithDebInfo/Debug/Release>
-DWITH_GUI_TESTS=ON

Installing:
===========
make install [DESTDIR=X]

Create a bundle on Mac:
make package

Run tests:
==========
make test [CTEST_OUTPUT_ON_FAILURE=1] [ARGS+=-jX] [ARGS+="-E testgui"]

OS specific instructions:
=========================
https://www.keepassx.org/dev/projects/keepassx/wiki/Install_instructions
